% SL Script to control PDF generation, set the boxes
% Attention: Turn on PDF/X output for effect, e.g. use option: -m XPDFX=INTENTNAME -m XPDFXVERSION=3

% FYI: setupPage ( float translate_x, float translate_y, float rotate, float scale_x, float scale_y, int keepOnSamePage )
{
	% do not change the page
	variable targetWidth = pageWidth();
	variable targetHeight = pageHeight();
	
	% The next line has no direct effect, however it silently forces PStill to disregard all
	% Trim/Crop and Bleedboxes in the source job
	
	setupPage(0, 0, 0.0, 1, 1, 0);	
	
	% remember to typecast for this call, it needs integer
	setMediaBox(int(targetWidth),int(targetHeight));
	
	% setup the boxes - 0,0 is lower left like always, measure in pts
	setTrimBox(10,10,300,300);	
	setBleedBox(12,12,298,298);	
	setCropBox(14,14,296,296);	
}

% no annotation processing for this run

define action_pdfmark(s,n) {

}

